Valorant API Unofficial docs
API Reference Local Endpoints — Chat
POST

Send Chat

Send a message to the specified group

Server Local client Auth Basic · lockfile
POST https://127.0.0.1:{port}/chat/v6/messages

Headers

Authorization string required
Value Basic {base64 encoded "riot:{lockfile password}"}— Base64 of riot:{lockfile password}, from the Riot Client lockfile

URL parameters

port number required

From the Riot Client lockfile.

How to get it

The port can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Other variables

lockfile password From the Riot Client lockfile.
Details

The password can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Riot Client lockfile

Body

cid string

The conversation ID of the group to send the message to

message string
type enum

Use `chat` for whispers, `groupchat` for group messages, and `system` for system messages

"groupchat""chat""system"

Response

messages array[object]
Show nested attributes Hide nested attributes 13
body string
cid string
game_name string
game_tag string
id string
mid string
name string
pid string
puuid string · uuid

Player UUID

read boolean
region string
time string

Time in milliseconds since epoch

type enum
"chat""groupchat"